GuideLab API

Update exocad material mappings

Update the mapping between exocad material names and local material records for the authenticated lab.

PUT
/integrations/exocad/material-mappings

Update the mapping between exocad material names and local material records for the authenticated lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/integrations/exocad/material-mappings" \  -H "Content-Type: application/json" \  -d '{    "mappings": [      {        "exocadMaterial": "string",        "materialId": "string"      }    ]  }'
{  "mappings": [    {      "id": "string",      "exocadMaterial": "string",      "materialId": "string"    }  ]}
Empty
Empty